#!/usr/bin/perl
print qq{Expires: Mon, 06 May 1996 04:57:00 GMT\nContent-type: text/html\n\n<html><pre>} if $ENV{'DOCUMENT_ROOT'};

require "../intuitive.pm";
$ENV{'WINDIR'}?($DirSeparator = '\\'):($DirSeparator = '/');

use DBI;
$SIG{__WARN__} = sub { print "$_[0]\n"; };
$MLDBH = DBI->connect("DBI:mysql:database=$mySQLDBName;host=$mySQLHost",$mySQLUser,$mySQLPassword);
$sth = $MLDBH->prepare("select pname, pvalue from _iml_tune");
$sth -> execute();
${$pname} = $pvalue while (($pname, $pvalue) = $sth->fetchrow_array());

# add porder suborder for tunes
$MLDBH -> do("ALTER TABLE _iml_tune ADD COLUMN porder int(3) unsigned NOT NULL default '0'");
$MLDBH -> do("ALTER TABLE _iml_tune ADD COLUMN suborder int(3) unsigned NOT NULL default '0'");
# text for pvalue
$MLDBH -> do("ALTER TABLE _iml_tune MODIFY pvalue text NOT NULL;");
# Tstamp users
$MLDBH -> do("ALTER TABLE _iml_users MODIFY subscribed datetime DEFAULT '1970-01-01 00:00:00';");
# start date time for dispatches
$MLDBH -> do("ALTER TABLE _iml_dispatches ADD COLUMN dstart datetime DEFAULT '1970-01-01 00:00:00' NOT NULL;");

# set porder suborder 
$MLDBH -> do("update _iml_tune set porder = 1, suborder = 10 where pname = 'AttachDir'");
$MLDBH -> do("update _iml_tune set porder = 1, suborder = 20 where pname = 'AttachSharedDir'");
$MLDBH -> do("update _iml_tune set porder = 1, suborder = 30 where pname = 'FromEmail'");
$MLDBH -> do("update _iml_tune set porder = 1, suborder = 40 where pname = 'MailHeaders'");
#
$MLDBH -> do("update _iml_tune set porder = 2, suborder = 10 where pname = 'SMTP'");
$MLDBH -> do("update _iml_tune set porder = 2, suborder = 20 where pname = 'SMTPPort'");
$MLDBH -> do("update _iml_tune set porder = 2, suborder = 30 where pname = 'PIDFile'");
$MLDBH -> do("update _iml_tune set porder = 2, suborder = 40 where pname = 'DebugDelivery'");
$MLDBH -> do("update _iml_tune set porder = 2, suborder = 50 where pname = 'POP3Auth'");

# subscr name
$MLDBH -> do(qq{INSERT INTO _iml_tune VALUES ('SubscriberName','Subscriber',1,50);});
$MLDBH -> do(qq{INSERT INTO _iml_tune VALUES ('Convert1','',1,60);});
$MLDBH -> do(qq{INSERT INTO _iml_tune VALUES ('Convert2','',1,70);});

# Subscribe/Unsubscribe email
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSEmail','mlistemail-$FromEmail',3,10);");

# MailBox
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSPOPHost','',3,20);");
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSPOPLogin','',3,30);");
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSPOPPassword','',3,40);");

# SMTP
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSSMTP','$SMTP',3,50);");
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSSMTPPort','$SMTPPort',3,60);");

# SUSMlists
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSMlists','',3,70);");

# emails
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSSubject0',".$MLDBH->quote('Help message').',10,10);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSMessage0',".$MLDBH->quote(qq{Dear %name%\n\n Available maillists:\n %allmlists%\n Select mlist ID from this list.\n To subscribe: send any message to %mlistemail% with subject "subscribe ID"\n To unsubscribe: send any message to %mlistemail% with subject "unsubscribe ID"\n To get help and list of available maillists: send any message to %mlistemail% with subject "help"\n\nThank you.}).',10,20);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSSubject1',".$MLDBH->quote('Confirm subscription for %mlist%').',10,30);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSMessage1',".$MLDBH->quote("Dear %name%\n\n To subscribe email %email% to maillist %mlist% simply reply to this message.\n Be sure that email from wich you will send this message is equally to %email%.\n Do not change subject of the message.\n\nThank you.").',10,40);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSSubject2',".$MLDBH->quote('You are successfully subscribed to %mlist%').',10,50);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSMessage2',".$MLDBH->quote("Dear %name%\n\n Email address %email% successfully subscribed to maillist %mlist%.\n\nThank you.").',10,60);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSSubject3',".$MLDBH->quote('Confirm unsubscription from %mlist%').',10,70);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSMessage3',".$MLDBH->quote("Dear %name%\n\n To unsubscribe email %email% from maillist %mlist% simply reply to this message.\n Be sure that email from wich you will send this message is equally to %email%.\n Do not change subject of the message.\n\nThank you.").',10,80);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSSubject4',".$MLDBH->quote('You are successfully unsubscribed from %mlist%').',10,90);');
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('SUSMessage4',".$MLDBH->quote("Dear %name%\n\n Email address %email% successfully unsubscribed from maillist %mlist%.\n\nThank you.").',10,100);');

print "done\n";

